> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a recipient

> Validates a new recipient.



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json post /recipients/validate
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /recipients/validate:
    post:
      tags:
        - Recipients
      summary: Validate a recipient
      description: Validates a new recipient.
      operationId: validateRecipient
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                accountIdentifier:
                  description: Identifier of the account, could be iban or account number
                  type:
                    - string
                  maxLength: 34
                  example: '55555555'
                bankIdentifier:
                  description: Identifier of the bank, could be BIC or sort code
                  type:
                    - string
                  maxLength: 20
                  example: '395744'
                name:
                  type:
                    - string
                  maxLength: 256
                  description: The recipient's name.
                  example: William Walker
                displayName:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  description: >-
                    An optional name for the recipient. This is used only for
                    display purposes.
                  example: Electrician
                type:
                  description: The type of the recipient.
                  type:
                    - string
                  enum:
                    - business
                    - charity
                    - individual
                  example: business
                defaultReference:
                  type:
                    - string
                    - 'null'
                  maxLength: 255
                  description: The default reference for the recipient.
                  example: William Walker
                currencyCode:
                  type:
                    - string
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - ANG
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BGN
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BOV
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHF
                    - CLP
                    - CNY
                    - COP
                    - CRC
                    - CUC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - GBP
                    - GEL
                    - GGP
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HRK
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KMF
                    - KPW
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LTL
                    - LVL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SEK
                    - SGD
                    - SHN
                    - SLL
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - UYU
                    - UZS
                    - VND
                    - VUV
                    - WST
                    - XAF
                    - XAG
                    - XAU
                    - XCD
                    - XOF
                    - XPD
                    - XPF
                    - XPT
                    - YER
                    - ZAR
                    - ZMK
                    - ZMW
                    - ZWD
                  example: USD
                intermediaryBankIdentifier:
                  type:
                    - string
                    - 'null'
                  pattern: ^[a-zA-Z]{6}[a-zA-Z0-9]{2}([a-zA-Z0-9]{3})?
                  description: The BIC of the intermediary bank.
                  example: QBLCCCCV
                paymentPurposeCode:
                  type:
                    - string
                    - 'null'
                  pattern: ^[A-Z0-9]{3,13}$
                  description: The payment purpose code, in ISO 200222 format.
                  example: BKFE
                paymentNetwork:
                  type:
                    - string
                    - 'null'
                  enum:
                    - SWIFT
                    - SEPA.INSTANT
                    - SEPA.CREDITTRANSFER
                    - CHAPS
                    - UKFPS
                    - ACH
                    - WIRETRANSFER
                    - OFF_PLATFORM
                    - NIP
                defaultPurpose:
                  type:
                    - string
                  maxLength: 256
                  description: The purpose of the payment.
                  example: Purpose of the payment
                subscribedEmails:
                  type:
                    - array
                    - 'null'
                  items:
                    type:
                      - object
                    properties:
                      name:
                        type:
                          - string
                        maxLength: 256
                        description: The recipient's name.
                        example: William Walker
                      email:
                        type:
                          - string
                        format: email
                        description: The recipient's email address.
                        example: test@example.com
                    required:
                      - name
                      - email
                  maxItems: 1
                address:
                  type:
                    - object
                  properties:
                    countryCode:
                      type:
                        - string
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BF
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MF
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PF
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SE
                        - SG
                        - SH
                        - SI
                        - SJ
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - SS
                        - ST
                        - SV
                        - SX
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - XK
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                    address:
                      type:
                        - string
                      maxLength: 256
                      description: The recipient's address.
                      example: 123 Fake Street
                    city:
                      type:
                        - string
                      maxLength: 256
                      description: The recipient's city.
                      example: London
                    postcode:
                      type:
                        - string
                      maxLength: 36
                      description: The recipient's postcode.
                      example: SW1A 1AA
                  required:
                    - countryCode
                  description: Details about the address of the recipient.
                bankAddress:
                  type:
                    - object
                  properties:
                    bankName:
                      type:
                        - string
                        - 'null'
                      description: The name of the bank.
                      example: Brilliant Bank
                    fullBankName:
                      type:
                        - string
                        - 'null'
                      description: The full name of the bank.
                      example: Brilliant Bank Plc
                    city:
                      type:
                        - string
                        - 'null'
                      maxLength: 256
                      description: The bank's city.
                      example: Enfield
                    postcode:
                      type:
                        - string
                        - 'null'
                      maxLength: 36
                      description: The bank's postal or ZIP code.
                      example: EN1 3JY
                    countryCode:
                      type:
                        - string
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BF
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MF
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PF
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SE
                        - SG
                        - SH
                        - SI
                        - SJ
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - SS
                        - ST
                        - SV
                        - SX
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - XK
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                    address:
                      type:
                        - string
                        - 'null'
                      maxLength: 256
                      description: The bank's address.
                      example: 1 High Street
                  required:
                    - countryCode
                  description: Details about the bank's address.
              required:
                - accountIdentifier
                - name
                - type
                - currencyCode
                - defaultPurpose
                - address
                - bankAddress
              example:
                accountIdentifier: '55555555'
                bankIdentifier: '395744'
                name: William Walker
                displayName: Electrician
                type: business
                defaultReference: William Walker
                currencyCode: USD
                intermediaryBankIdentifier: QBLCCCCV
                paymentPurposeCode: BKFE
                paymentNetwork: SWIFT
                defaultPurpose: Purpose of the payment
                subscribedEmails:
                  - name: William Walker
                    email: test@example.com
                address:
                  countryCode: AD
                  address: 123 Fake Street
                  city: London
                  postcode: SW1A 1AA
                bankAddress:
                  bankName: Brilliant Bank
                  fullBankName: Brilliant Bank Plc
                  city: Enfield
                  postcode: EN1 3JY
                  countryCode: AD
                  address: 1 High Street
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    description: The recipient's ID.
                    example: 8lciyups6
                  accountId:
                    description: The ID of the account to work with.
                    type:
                      - string
                    example: F50091
                  status:
                    description: The recipient's status.
                    type:
                      - string
                    enum:
                      - UNVERIFIED
                      - PENDING
                      - AUTHORISED
                      - REJECTED
                    example: AUTHORISED
                  accountIdentifier:
                    description: Identifier of the account, could be iban or account number
                    type:
                      - string
                    maxLength: 34
                    example: '55555555'
                  bankIdentifier:
                    description: Identifier of the bank, could be BIC or sort code
                    type:
                      - string
                    maxLength: 20
                    example: '395744'
                  name:
                    type:
                      - string
                    maxLength: 256
                    description: The recipient's name.
                    example: William Walker
                  displayName:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: >-
                      An optional name for the recipient. This is used only for
                      display purposes.
                    example: Electrician
                  type:
                    description: The type of the recipient.
                    type:
                      - string
                    enum:
                      - business
                      - charity
                      - individual
                    example: business
                  defaultReference:
                    type:
                      - string
                      - 'null'
                    maxLength: 255
                    description: The default reference for the recipient.
                    example: William Walker
                  currencyCode:
                    type:
                      - string
                    enum:
                      - AED
                      - AFN
                      - ALL
                      - AMD
                      - ANG
                      - AOA
                      - ARS
                      - AUD
                      - AWG
                      - AZN
                      - BAM
                      - BBD
                      - BDT
                      - BGN
                      - BHD
                      - BIF
                      - BMD
                      - BND
                      - BOB
                      - BOV
                      - BRL
                      - BSD
                      - BTN
                      - BWP
                      - BYN
                      - BZD
                      - CAD
                      - CDF
                      - CHF
                      - CLP
                      - CNY
                      - COP
                      - CRC
                      - CUC
                      - CUP
                      - CVE
                      - CZK
                      - DJF
                      - DKK
                      - DOP
                      - DZD
                      - EGP
                      - ERN
                      - ETB
                      - EUR
                      - FJD
                      - FKP
                      - GBP
                      - GEL
                      - GGP
                      - GHS
                      - GIP
                      - GMD
                      - GNF
                      - GTQ
                      - GYD
                      - HKD
                      - HNL
                      - HRK
                      - HTG
                      - HUF
                      - IDR
                      - ILS
                      - INR
                      - IQD
                      - IRR
                      - ISK
                      - JMD
                      - JOD
                      - JPY
                      - KES
                      - KGS
                      - KHR
                      - KMF
                      - KPW
                      - KRW
                      - KWD
                      - KYD
                      - KZT
                      - LAK
                      - LBP
                      - LKR
                      - LRD
                      - LSL
                      - LTL
                      - LVL
                      - LYD
                      - MAD
                      - MDL
                      - MGA
                      - MKD
                      - MMK
                      - MNT
                      - MOP
                      - MUR
                      - MVR
                      - MWK
                      - MXN
                      - MYR
                      - MZN
                      - NAD
                      - NGN
                      - NIO
                      - NOK
                      - NPR
                      - NZD
                      - OMR
                      - PAB
                      - PEN
                      - PGK
                      - PHP
                      - PKR
                      - PLN
                      - PYG
                      - QAR
                      - RON
                      - RSD
                      - RUB
                      - RWF
                      - SAR
                      - SBD
                      - SCR
                      - SEK
                      - SGD
                      - SHN
                      - SLL
                      - SOS
                      - SRD
                      - SSP
                      - STN
                      - SYP
                      - SZL
                      - THB
                      - TJS
                      - TMT
                      - TND
                      - TOP
                      - TRY
                      - TTD
                      - TWD
                      - TZS
                      - UAH
                      - UGX
                      - USD
                      - UYU
                      - UZS
                      - VND
                      - VUV
                      - WST
                      - XAF
                      - XAG
                      - XAU
                      - XCD
                      - XOF
                      - XPD
                      - XPF
                      - XPT
                      - YER
                      - ZAR
                      - ZMK
                      - ZMW
                      - ZWD
                    example: USD
                  verificationMethod:
                    type:
                      - string
                    enum:
                      - phone
                      - sms_otp
                      - biometrics
                      - email
                      - other
                  charges:
                    type:
                      - string
                      - 'null'
                    enum:
                      - SHA
                      - OUR
                      - BEN
                  intermediaryBankIdentifier:
                    type:
                      - string
                      - 'null'
                    pattern: ^[a-zA-Z]{6}[a-zA-Z0-9]{2}([a-zA-Z0-9]{3})?
                    description: The BIC of the intermediary bank.
                    example: QBLCCCCV
                  paymentPurposeCode:
                    type:
                      - string
                      - 'null'
                    pattern: ^[A-Z0-9]{3,13}$
                    description: The payment purpose code, in ISO 200222 format.
                    example: BKFE
                  paymentNetwork:
                    type:
                      - string
                      - 'null'
                    enum:
                      - SWIFT
                      - SEPA.INSTANT
                      - SEPA.CREDITTRANSFER
                      - CHAPS
                      - UKFPS
                      - ACH
                      - WIRETRANSFER
                      - OFF_PLATFORM
                      - NIP
                  defaultPurpose:
                    type:
                      - string
                    maxLength: 256
                    description: The purpose of the payment.
                    example: Purpose of the payment
                  subscribedEmails:
                    type:
                      - array
                      - 'null'
                    items:
                      type:
                        - object
                      properties:
                        name:
                          type:
                            - string
                          maxLength: 256
                          description: The recipient's name.
                          example: William Walker
                        email:
                          type:
                            - string
                          format: email
                          description: The recipient's email address.
                          example: test@example.com
                      required:
                        - name
                        - email
                    maxItems: 1
                  address:
                    type:
                      - object
                    properties:
                      countryCode:
                        type:
                          - string
                        enum:
                          - AD
                          - AE
                          - AF
                          - AG
                          - AI
                          - AL
                          - AM
                          - AO
                          - AQ
                          - AR
                          - AS
                          - AT
                          - AU
                          - AW
                          - AX
                          - AZ
                          - BA
                          - BB
                          - BD
                          - BE
                          - BF
                          - BG
                          - BH
                          - BI
                          - BJ
                          - BL
                          - BM
                          - BN
                          - BO
                          - BQ
                          - BR
                          - BS
                          - BT
                          - BV
                          - BW
                          - BY
                          - BZ
                          - CA
                          - CC
                          - CD
                          - CF
                          - CG
                          - CH
                          - CI
                          - CK
                          - CL
                          - CM
                          - CN
                          - CO
                          - CR
                          - CU
                          - CV
                          - CW
                          - CX
                          - CY
                          - CZ
                          - DE
                          - DJ
                          - DK
                          - DM
                          - DO
                          - DZ
                          - EC
                          - EE
                          - EG
                          - EH
                          - ER
                          - ES
                          - ET
                          - FI
                          - FJ
                          - FK
                          - FM
                          - FO
                          - FR
                          - GA
                          - GB
                          - GD
                          - GE
                          - GF
                          - GG
                          - GH
                          - GI
                          - GL
                          - GM
                          - GN
                          - GP
                          - GQ
                          - GR
                          - GS
                          - GT
                          - GU
                          - GW
                          - GY
                          - HK
                          - HM
                          - HN
                          - HR
                          - HT
                          - HU
                          - ID
                          - IE
                          - IL
                          - IM
                          - IN
                          - IO
                          - IQ
                          - IR
                          - IS
                          - IT
                          - JE
                          - JM
                          - JO
                          - JP
                          - KE
                          - KG
                          - KH
                          - KI
                          - KM
                          - KN
                          - KP
                          - KR
                          - KW
                          - KY
                          - KZ
                          - LA
                          - LB
                          - LC
                          - LI
                          - LK
                          - LR
                          - LS
                          - LT
                          - LU
                          - LV
                          - LY
                          - MA
                          - MC
                          - MD
                          - ME
                          - MF
                          - MG
                          - MH
                          - MK
                          - ML
                          - MM
                          - MN
                          - MO
                          - MP
                          - MQ
                          - MR
                          - MS
                          - MT
                          - MU
                          - MV
                          - MW
                          - MX
                          - MY
                          - MZ
                          - NA
                          - NC
                          - NE
                          - NF
                          - NG
                          - NI
                          - NL
                          - 'NO'
                          - NP
                          - NR
                          - NU
                          - NZ
                          - OM
                          - PA
                          - PE
                          - PF
                          - PG
                          - PH
                          - PK
                          - PL
                          - PM
                          - PN
                          - PR
                          - PS
                          - PT
                          - PW
                          - PY
                          - QA
                          - RE
                          - RO
                          - RS
                          - RU
                          - RW
                          - SA
                          - SB
                          - SC
                          - SD
                          - SE
                          - SG
                          - SH
                          - SI
                          - SJ
                          - SK
                          - SL
                          - SM
                          - SN
                          - SO
                          - SR
                          - SS
                          - ST
                          - SV
                          - SX
                          - SY
                          - SZ
                          - TC
                          - TD
                          - TF
                          - TG
                          - TH
                          - TJ
                          - TK
                          - TL
                          - TM
                          - TN
                          - TO
                          - TR
                          - TT
                          - TV
                          - TW
                          - TZ
                          - UA
                          - UG
                          - UM
                          - US
                          - UY
                          - UZ
                          - VA
                          - VC
                          - VE
                          - VG
                          - VI
                          - VN
                          - VU
                          - WF
                          - WS
                          - XK
                          - YE
                          - YT
                          - ZA
                          - ZM
                          - ZW
                      address:
                        type:
                          - string
                        maxLength: 256
                        description: The recipient's address.
                        example: 123 Fake Street
                      city:
                        type:
                          - string
                        maxLength: 256
                        description: The recipient's city.
                        example: London
                      postcode:
                        type:
                          - string
                        maxLength: 36
                        description: The recipient's postcode.
                        example: SW1A 1AA
                    required:
                      - countryCode
                    description: Details about the address of the recipient.
                  validation:
                    type:
                      - object
                      - 'null'
                    properties:
                      nameMatch:
                        type:
                          - boolean
                      reason:
                        type:
                          - string
                      reasonCode:
                        type:
                          - string
                        enum:
                          - N000
                          - N100
                          - N101
                          - N102
                          - N103
                          - N104
                          - N200
                          - N201
                          - N202
                          - N203
                          - N204
                          - N205
                          - N206
                          - N207
                          - N300
                          - N400
                          - N500
                      actualName:
                        type:
                          - string
                        description: The actual name of the recipient.
                        example: William Walker
                    required:
                      - reasonCode
                  bankAddress:
                    type:
                      - object
                    properties:
                      bankName:
                        type:
                          - string
                          - 'null'
                        description: The name of the bank.
                        example: Brilliant Bank
                      fullBankName:
                        type:
                          - string
                          - 'null'
                        description: The full name of the bank.
                        example: Brilliant Bank Plc
                      city:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        description: The bank's city.
                        example: Enfield
                      postcode:
                        type:
                          - string
                          - 'null'
                        maxLength: 36
                        description: The bank's postal or ZIP code.
                        example: EN1 3JY
                      countryCode:
                        type:
                          - string
                        enum:
                          - AD
                          - AE
                          - AF
                          - AG
                          - AI
                          - AL
                          - AM
                          - AO
                          - AQ
                          - AR
                          - AS
                          - AT
                          - AU
                          - AW
                          - AX
                          - AZ
                          - BA
                          - BB
                          - BD
                          - BE
                          - BF
                          - BG
                          - BH
                          - BI
                          - BJ
                          - BL
                          - BM
                          - BN
                          - BO
                          - BQ
                          - BR
                          - BS
                          - BT
                          - BV
                          - BW
                          - BY
                          - BZ
                          - CA
                          - CC
                          - CD
                          - CF
                          - CG
                          - CH
                          - CI
                          - CK
                          - CL
                          - CM
                          - CN
                          - CO
                          - CR
                          - CU
                          - CV
                          - CW
                          - CX
                          - CY
                          - CZ
                          - DE
                          - DJ
                          - DK
                          - DM
                          - DO
                          - DZ
                          - EC
                          - EE
                          - EG
                          - EH
                          - ER
                          - ES
                          - ET
                          - FI
                          - FJ
                          - FK
                          - FM
                          - FO
                          - FR
                          - GA
                          - GB
                          - GD
                          - GE
                          - GF
                          - GG
                          - GH
                          - GI
                          - GL
                          - GM
                          - GN
                          - GP
                          - GQ
                          - GR
                          - GS
                          - GT
                          - GU
                          - GW
                          - GY
                          - HK
                          - HM
                          - HN
                          - HR
                          - HT
                          - HU
                          - ID
                          - IE
                          - IL
                          - IM
                          - IN
                          - IO
                          - IQ
                          - IR
                          - IS
                          - IT
                          - JE
                          - JM
                          - JO
                          - JP
                          - KE
                          - KG
                          - KH
                          - KI
                          - KM
                          - KN
                          - KP
                          - KR
                          - KW
                          - KY
                          - KZ
                          - LA
                          - LB
                          - LC
                          - LI
                          - LK
                          - LR
                          - LS
                          - LT
                          - LU
                          - LV
                          - LY
                          - MA
                          - MC
                          - MD
                          - ME
                          - MF
                          - MG
                          - MH
                          - MK
                          - ML
                          - MM
                          - MN
                          - MO
                          - MP
                          - MQ
                          - MR
                          - MS
                          - MT
                          - MU
                          - MV
                          - MW
                          - MX
                          - MY
                          - MZ
                          - NA
                          - NC
                          - NE
                          - NF
                          - NG
                          - NI
                          - NL
                          - 'NO'
                          - NP
                          - NR
                          - NU
                          - NZ
                          - OM
                          - PA
                          - PE
                          - PF
                          - PG
                          - PH
                          - PK
                          - PL
                          - PM
                          - PN
                          - PR
                          - PS
                          - PT
                          - PW
                          - PY
                          - QA
                          - RE
                          - RO
                          - RS
                          - RU
                          - RW
                          - SA
                          - SB
                          - SC
                          - SD
                          - SE
                          - SG
                          - SH
                          - SI
                          - SJ
                          - SK
                          - SL
                          - SM
                          - SN
                          - SO
                          - SR
                          - SS
                          - ST
                          - SV
                          - SX
                          - SY
                          - SZ
                          - TC
                          - TD
                          - TF
                          - TG
                          - TH
                          - TJ
                          - TK
                          - TL
                          - TM
                          - TN
                          - TO
                          - TR
                          - TT
                          - TV
                          - TW
                          - TZ
                          - UA
                          - UG
                          - UM
                          - US
                          - UY
                          - UZ
                          - VA
                          - VC
                          - VE
                          - VG
                          - VI
                          - VN
                          - VU
                          - WF
                          - WS
                          - XK
                          - YE
                          - YT
                          - ZA
                          - ZM
                          - ZW
                      address:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        description: The bank's address.
                        example: 1 High Street
                    required:
                      - countryCode
                    description: Details about the bank's address.
                  dateLastPaid:
                    type:
                      - string
                    format: date-time
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                  archivedAt:
                    type:
                      - string
                    format: date-time
                  createdBy:
                    type:
                      - string
                  updatedBy:
                    type:
                      - string
                required:
                  - id
                  - status
                  - accountIdentifier
                  - name
                  - type
                  - currencyCode
                  - defaultPurpose
                  - address
                  - bankAddress
                example:
                  id: 8lciyups6
                  accountId: F50091
                  status: AUTHORISED
                  accountIdentifier: '55555555'
                  bankIdentifier: '395744'
                  name: William Walker
                  displayName: Electrician
                  type: business
                  defaultReference: William Walker
                  currencyCode: USD
                  verificationMethod: phone
                  charges: SHA
                  intermediaryBankIdentifier: QBLCCCCV
                  paymentPurposeCode: BKFE
                  paymentNetwork: SWIFT
                  defaultPurpose: Purpose of the payment
                  subscribedEmails:
                    - name: William Walker
                      email: test@example.com
                  address:
                    countryCode: AD
                    address: 123 Fake Street
                    city: London
                    postcode: SW1A 1AA
                  validation:
                    nameMatch: true
                    reason: string
                    reasonCode: N000
                    actualName: William Walker
                  bankAddress:
                    bankName: Brilliant Bank
                    fullBankName: Brilliant Bank Plc
                    city: Enfield
                    postcode: EN1 3JY
                    countryCode: AD
                    address: 1 High Street
                  dateLastPaid: '2019-08-24T14:15:22Z'
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
                  archivedAt: '2019-08-24T14:15:22Z'
                  createdBy: string
                  updatedBy: string
      security:
        - CommonAuth:
            - recipients:create:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/recipients/validate?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "accountIdentifier": "55555555",
              "bankIdentifier": "395744",
              "name": "William Walker",
              "displayName": "Electrician",
              "type": "business",
              "defaultReference": "William Walker",
              "currencyCode": "USD",
              "intermediaryBankIdentifier": "QBLCCCCV",
              "paymentPurposeCode": "BKFE",
              "paymentNetwork": "SWIFT",
              "defaultPurpose": "Purpose of the payment",
              "subscribedEmails": [
                {
                  "name": "William Walker",
                  "email": "test@example.com"
                }
              ],
              "address": {
                "countryCode": "AD",
                "address": "123 Fake Street",
                "city": "London",
                "postcode": "SW1A 1AA"
              },
              "bankAddress": {
                "bankName": "Brilliant Bank",
                "fullBankName": "Brilliant Bank Plc",
                "city": "Enfield",
                "postcode": "EN1 3JY",
                "countryCode": "AD",
                "address": "1 High Street"
              }
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````